@echo off

set "CURRENT_DIR=%cd%"
cd "%CURRENT_DIR%"

IF "%1"=="start" GOTO START
IF "%1"=="stop" GOTO STOP
IF "%1"=="reload" GOTO RELOAD
IF "%1"=="test" GOTO TEST
IF "%1"=="status" GOTO STATUS
GOTO SHOWOPT

:START
  ECHO Starting Nginx  
  start nginx
GOTO End

:STOP
  ECHO Stopping Nginx
  nginx -s quit
GOTO End

:RELOAD
  ECHO Reloading configurations
  nginx -s reload
GOTO End

:TEST
  ECHO Testing configurations
  nginx -t
GOTO End

:STATUS
  ECHO Nginx tasks list
  tasklist /V /FI "IMAGENAME eq nginx.exe"
GOTO End

:SHOWOPT
  ECHO Usage: "ngxcmd [start|stop|reload|test|status]"
GOTO End	

:End